package com.usky.dxtop.controller.web;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.api.TopApi;
import com.usky.dxtop.service.emun.OrderPayType;
import com.usky.dxtop.service.emun.OrderStatus;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.core.util.JsonUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/8/23 13:51
 */
@Slf4j
@RestController
public class TestController {

    @Autowired
    private OrderService orderService;

    @GetMapping("test1")
    public AjaxResult test1(){
        LambdaQueryWrapper<Order> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .ne(Order::getPayType, OrderPayType.XJ.getPayCode())
                .and(wrapper -> wrapper.eq(Order::getOrderFlag, OrderStatus.NO_PAYMENT.getCode())
                        .or()
                        .eq(Order::getOrderFlag, OrderStatus.AWAIT_PAY.getCode()));
        List<Order> list = orderService.list(queryWrapper);
        return AjaxResult.success(list);
    }

    public static void main(String[] args) {
//        //交易查询
//        TreeMap<String, String> param = TopApi.generateDealSelectParam("d5514494a1a74c74adf2f1f3c6b6bf11", null, null, null);
//        String format = String.format("%s&sign=%s", TopApi.joinParam(param),
//                TopApi.signData(param));
//        String s = HttpUtils.sendGet(TopApi.DEAL_SELECT_URL, format);
//        JSONObject obj= JSON.parseObject(s);
//
//        System.out.println(obj);
//        TreeMap<String, String> param1 = TopApi.generateReturnDealParam(1, "210824101657094252199", null, null, null, null, null);
//        String format1 = String.format("%s&sign=%s", TopApi.joinParam(param1),
//                TopApi.signData(param1));
//        String s1 = HttpUtils.sendGet(TopApi.RETURN_DEAL_URL, format1);
//        System.out.println(s1);

        TreeMap<String, String> param2 = TopApi.generateUnifyParam(1, TopApi.SCAN_NOTIFY_URL, null, null, null, null, "A01", null, null, null, null, null, null);
        String format1 = String.format("%s?%s&sign=%s",TopApi.UNIFY_URL,TopApi.joinParam(param2),
            TopApi.signData(param2));
        System.out.println(format1);

    }

}
